Mailing List Archive

svn commit: r170708 - /spamassassin/branches/3.0/spamd/redhat-rc-script.sh
Author: felicity
Date: Tue May 17 22:09:26 2005
New Revision: 170708

URL: http://svn.apache.org/viewcvs?rev=170708&view=rev
Log:
bug 4287: the redhat spamd rc script always exited with a 0, exit with the appropriate value instead

Modified:
spamassassin/branches/3.0/spamd/redhat-rc-script.sh

Modified: spamassassin/branches/3.0/spamd/redhat-rc-script.sh
URL: http://svn.apache.org/viewcvs/spamassassin/branches/3.0/spamd/redhat-rc-script.sh?rev=170708&r1=170707&r2=170708&view=diff
==============================================================================
--- spamassassin/branches/3.0/spamd/redhat-rc-script.sh (original)
+++ spamassassin/branches/3.0/spamd/redhat-rc-script.sh Tue May 17 22:09:26 2005
@@ -28,6 +28,9 @@
[ -f /usr/bin/spamd -o -f /usr/local/bin/spamd ] || exit 0
PATH=$PATH:/usr/bin:/usr/local/bin

+# By default it's all good
+RETVAL=0
+
# See how we were called.
case "$1" in
start)
@@ -59,7 +62,8 @@
;;
*)
echo "Usage: $0 {start|stop|restart|status|condrestart}"
- exit 1
+ RETVAL=1
+ ;;
esac

-exit 0
+exit $RETVAL